Bug 90045 - Change FrameView::scrollContentsFastPath to use m_fixedObjects
Summary: Change FrameView::scrollContentsFastPath to use m_fixedObjects
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords:
Depends on:
Blocks: 90046
  Show dependency treegraph
 
Reported: 2012-06-26 22:49 PDT by Simon Fraser (smfr)
Modified: 2012-06-28 11:09 PDT (History)
8 users (show)

See Also:


Attachments
Patch (3.99 KB, patch)
2012-06-27 23:04 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2012-06-26 22:49:07 PDT
Bug 78864 added a FixedObjectSet on FrameView. We should change FrameView::scrollContentsFastPath() to use this, rather than positionedObjects(), because it will also get used for position:sticky.
Comment 1 Simon Fraser (smfr) 2012-06-27 23:04:02 PDT
Created attachment 149878 [details]
Patch
Comment 2 James Robinson 2012-06-28 10:27:17 PDT
Comment on attachment 149878 [details]
Patch

R=me
Comment 3 WebKit Review Bot 2012-06-28 11:09:02 PDT
Comment on attachment 149878 [details]
Patch

Clearing flags on attachment: 149878

Committed r121443: <http://trac.webkit.org/changeset/121443>
Comment 4 WebKit Review Bot 2012-06-28 11:09:09 PDT
All reviewed patches have been landed.  Closing bug.